This is the mail archive of the gcc-patches@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

update regression tester to better handle non-linux hosts


I'm not sure I really want to do this (perhaps it'd be better to use
the native compiler), but this does seem to work.

-- 
- Geoffrey Keating <geoffk@apple.com>

===File ~/patches/regress-bootobjs.patch====================
2002-10-09  Geoffrey Keating  <geoffk@apple.com>

	* objs-gcc.sh: On (non-linux) native hosts, use 'make bootstrap'.

Index: objs-gcc.sh
===================================================================
RCS file: /cvs/gcc/gcc/contrib/regression/objs-gcc.sh,v
retrieving revision 1.1
diff -u -p -u -p -r1.1 objs-gcc.sh
--- objs-gcc.sh	2 Feb 2002 05:23:34 -0000	1.1
+++ objs-gcc.sh	9 Oct 2002 20:59:45 -0000
@@ -104,6 +104,9 @@ if [ $H_REAL_TARGET = $H_REAL_HOST -a $H
  then
   make all-gdb all-dejagnu all-ld || exit 1
   make install-gdb install-dejagnu install-ld || exit 1
+elif [ $H_REAL_TARGET = $H_REAL_HOST ] ; then
+  make bootstrap || exit 1
+  make install || exit 1
 else
   make || exit 1
   make install || exit 1
============================================================


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]